//
//  ViewController.m
//  pickerviewDemo
//
//  Created by addcn on 16/8/29.
//  Copyright © 2016年 addcn. All rights reserved.
//

#import "ViewController.h"
#import "Picker.h"



@interface ViewController ()
@property (strong, nonatomic)Picker * picker;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    UIButton * bu = [UIButton buttonWithType:UIButtonTypeCustom];
    [bu setTitle:@"select" forState:UIControlStateNormal];
    [bu setBackgroundColor:[UIColor redColor]];
    [self.view addSubview:bu];
    [bu setFrame:CGRectMake(0, 0, 100, 40)];
    [bu setCenter:self.view.center];
    [bu addTarget:self action:@selector(selectAlert) forControlEvents:UIControlEventTouchUpInside];
    
    self.picker = [[Picker alloc] initWithFrame:CGRectMake(0, self.view.frame.size.height-200, self.view.frame.size.width, 200)];
    //[self.picker  setBackgroundColor:[UIColor orangeColor]];
    [self.picker setHidden:YES];
    [self.view addSubview:self.picker ];
    
    
    
  
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


- (void)selectAlert{
    [self.picker setHidden:!self.picker.hidden];
}
@end
